---
search:
  tags:
    - Themes
    - GET
seo:
  description: >-
    Returns the theme navigation document for the shop — links to the current
    production… Reference for the GET /shops/{id}/themes endpoint in the Bolder
    API v2.
sidebar:
  label: List themes for a shop
  badge: GET
title: List themes for a shop
type: openapi-operation
---
Returns the theme navigation document for the shop — links to the current
production theme, the dev theme (if any), and the action to create a new
dev theme. Requires `store.read` scope and ownership of the shop.

`GET /shops/{id}/themes`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops/1/themes"
```

**Responses**

- `200` — Themes navigation document
- `401` — Unauthorized
- `403` — Access denied

Response example, 200:

```json
{
  "_class": [
    "results",
    "themes"
  ],
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops/1/themes"
    },
    "store:theme": {
      "href": "https://api.onbolder.com/v2/themes/abc123",
      "title": "Current theme"
    },
    "store:create_dev_theme": {
      "href": "https://api.onbolder.com/v2/shops/1/themes",
      "method": "post"
    },
    "store:dev_theme": {
      "href": "https://api.onbolder.com/v2/themes/def456",
      "title": "Dev theme"
    }
  }
}
```
